Subject: bug#70102: closed (Re: bug#70102: elpa signature verification failure)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 02:59:03 +0000

Your bug report

#70102: elpa signature verification failure

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70102: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70102
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70102: elpa signature verification failure
From: Stefan Kangas <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Pedro Andres Aranda Gutierrez <[email-masked]>, [email-masked]
Date: Fri, 28 Feb 2025 18:58:31 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

>> I'm trying to install packages from elpa. However...
>>
>> Failed to verify signature archive-contents.sig:
>> Bad signature from 066DAFCB81E42C40 GNU ELPA Signing Agent (2019) <
>> [email-masked]>
>> Command output:
>> gpg: Signature made dom 31 mar 2024 11:30:08 CEST
>> gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
>> gpg: BAD signature from "GNU ELPA Signing Agent (2019) <
>> [email-masked]>" [unknown]
>
> I don't know why you get a "BAD signature message":  The 2019 key is
> expired so AFAIK we don't use it any more.  You need to install the
> `gnu-epa-keyring-update` package (or use a more recent version of Emacs).

No further comments here, so I'm boldly assuming that the above fixed
it.

I'm therefore closing this bug report.

Subject: elpa signature verification failure
From: Pedro Andres Aranda Gutierrez <[email-masked]>
To: [email-masked]
Date: Sun, 31 Mar 2024 11:40:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm trying to install packages from elpa. However...

Failed to verify signature archive-contents.sig:
Bad signature from 066DAFCB81E42C40 GNU ELPA Signing Agent (2019) <
[email-masked]>
Command output:
gpg: Signature made dom 31 mar 2024 11:30:08 CEST
gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
gpg: BAD signature from "GNU ELPA Signing Agent (2019) <
[email-masked]>" [unknown]

This doesn't allow me to send a regular bug report either...

GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33,
 cairo version 1.16.0) of 2024-03-31

-- 
Fragen sind nicht da, um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet